
Foreman - Bug #7956

[Staypuft] Failure deploying CentOS 7 image

10/15/2014 12:28 PM - Ignacio Bravo

Status: Rejected   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

In a new installation, the first server being built will fail when reaching the disk partition section and complain on a missing

diskpart.cfg

The solution is to add the following two lines to the partition tables:

cat <<EOF > /tmp/diskpart.cfg

EOF

such that the final partition template looks like:

#Dynamic

cat <<EOF > /tmp/diskpart.cfg

zerombr

clearpart --all --initlabel

part /boot --fstype ext3 --size=500 --ondisk=sda

part swap --size=1024 --ondisk=sda

part pv.01 --size=1024 --grow --ondisk=sda

volgroup vg_root pv.01

logvol  /  --vgname=vg_root  --size=1 --grow --name=lv_root

EOF

History

#1 - 10/16/2014 03:23 AM - Marek Hulán

Could you please copy this to the BZ? This is not related to Foreman.

#2 - 11/10/2014 03:32 AM - Marek Hulán

- Status changed from New to Rejected

Closing since this is staypuft specific.
